io.vertx.reactivex.ext.shell.term

## Class SockJSTermHandler

- java.lang.Object
- - io.vertx.reactivex.ext.shell.term.SockJSTermHandler

- All Implemented Interfaces:
    Handler<SockJSSocket>

      public class SockJSTermHandler
      extends Object
      implements Handler<SockJSSocket>

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SockJSTermHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SockJSTermHandler(SockJSTermHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SockJSTermHandler` | `create(Vertx vertx, String charset)`
    `boolean` | `equals(Object o)`
    `SockJSTermHandler` | `getDelegate()`
    `void` | `handle(SockJSSocket event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static SockJSTermHandler` | `newInstance(SockJSTermHandler arg)`
    `SockJSTermHandler` | `termHandler(Handler<Term> handler)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SockJSTermHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### SockJSTermHandler

          public SockJSTermHandler(SockJSTermHandler delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SockJSTermHandler getDelegate()

    - #### handle

          public void handle(SockJSSocket event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<SockJSSocket>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static SockJSTermHandler create(Vertx vertx,
                                                 String charset)

    - #### termHandler

          public SockJSTermHandler termHandler(Handler<Term> handler)

    - #### newInstance

          public static SockJSTermHandler newInstance(SockJSTermHandler arg)

Copyright © 2019 Eclipse. All rights reserved.